Bug 245173 - Review Request: babel - Tools for internationalizing Python applications
Summary: Review Request: babel - Tools for internationalizing Python applications
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-21 13:58 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 13:49:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2007-06-21 13:58:05 UTC
Spec URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/babel-0.8-1.fc7.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/babel-0.8-1.fc7.src.rpm
Description:
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

(This can be used by TG/Genshi to i18n web apps)

Comment 1 Parag AN(पराग) 2007-06-22 08:38:13 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
3a3ff0204cbf872f6f99c83376d662d0  Babel-0.8.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no static libraries.
+ no .pc files are present.
+ no -devel but python-babel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ followed python package guidelines.
APPROVED.


Comment 2 Jeffrey C. Ollie 2007-06-22 12:22:39 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: babel
Short Description: Tools for internationalizing Python applications
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6 EL-5
InitialCC: 

Comment 3 Kevin Fenzi 2007-06-22 19:31:08 UTC
cvs done.

Comment 4 Jeffrey C. Ollie 2007-06-29 13:49:00 UTC
Packages imported and built, thanks everyone!


Note You need to log in before you can comment on or make changes to this bug.